package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @author wangfeng
 * @Description: TODO
 * @date 2018年11月21日 下午2:31:42
 */
public enum CheckStatusEnum implements KeyedNamed {
    Disable(0, "未核查"),
    Enable(1, "已核查");

    @Setter
    private int key;

    @Setter
    private String name;

    CheckStatusEnum(int key, String name) {
        this.key = key;
        this.name = name;
    }

    public static CheckStatusEnum getEnum(int key) {
        for (CheckStatusEnum item : CheckStatusEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(int key) {
        CheckStatusEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}

